Bug 1005794 - Workitem REST API operation doesn't produce XML response
Workitem REST API operation doesn't produce XML response
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Marco Rietveld
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 08:11 EDT by Ivo Bek
Modified: 2016-09-20 01:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2013-09-09 08:11:54 EDT
Description of problem:

In the doWorkItemOperation method is missing @Produces XML annotation here https://github.com/droolsjbpm/droolsjbpm-integration/blob/master/kie-remote/kie-services-remote/src/main/java/org/kie/services/remote/rest/RuntimeResource.java#L174

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ivo Bek 2013-09-11 08:37:13 EDT
Instead of XML I receive JSON as a response {error: null,
  stackTrace: null, status: SUCCESS, url: '/business-central/rest/runtime/org.jboss:integration:1.0.0.Final/workitem/9/abort'}
Comment 6 Ivo Bek 2013-10-15 06:59:11 EDT
Verified in BPMS 6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.